diff --git a/hub/kojihub.py b/hub/kojihub.py
index 14a5338..7e1ff7c 100644
--- a/hub/kojihub.py
+++ b/hub/kojihub.py
@@ -11685,7 +11685,7 @@ class HostExports(object):
                 archivetype = get_archive_type(filename)
                 if not archivetype:
                     # Unknown archive type, fail the build
-                    raise koji.BuildError, 'unsupported file type: %s' % filename
+                    raise koji.BuildError('unsupported file type: %s' % filename)
                 import_archive(filepath, build_info, 'maven', dir_maven_info, maven_buildroot_id)
 
         # move the logs to their final destination
@@ -11718,19 +11718,19 @@ class HostExports(object):
         host.verify()
         if type == 'maven':
             if not context.opts.get('EnableMaven'):
-                raise koji.GenericError, 'Maven support not enabled'
+                raise koji.GenericError('Maven support not enabled')
         elif type == 'win':
             if not context.opts.get('EnableWin'):
-                raise koji.GenericError, 'Windows support not enabled'
+                raise koji.GenericError('Windows support not enabled')
         else:
-            raise koji.GenericError, 'unsupported archive type: %s' % type
+            raise koji.GenericError('unsupported archive type: %s' % type)
         import_archive(filepath, buildinfo, type, typeInfo)
 
     def importWrapperRPMs(self, task_id, build_id, rpm_results):
         """Import the wrapper rpms and associate them with the given build.  The build
         must not have any existing rpms associated with it."""
         if not context.opts.get('EnableMaven'):
-            raise koji.GenericError, "Maven support not enabled"
+            raise koji.GenericError("Maven support not enabled")
         host = Host()
         host.verify()
         task = Task(task_id)
@@ -11739,12 +11739,12 @@ class HostExports(object):
         build_info = get_build(build_id, strict=True)
 
         if build_info['state'] != koji.BUILD_STATES['COMPLETE']:
-            raise koji.GenericError, 'cannot import wrapper rpms for %s: build state is %s, not complete' % \
-                (koji.buildLabel(build_info), koji.BUILD_STATES[build_info['state']].lower())
+            raise koji.GenericError('cannot import wrapper rpms for %s: build state is %s, not complete' % \
+                (koji.buildLabel(build_info), koji.BUILD_STATES[build_info['state']].lower()))
 
         if list_rpms(buildID=build_info['id']):
             # don't allow overwriting of already-imported wrapper RPMs
-            raise koji.GenericError, 'wrapper rpms for %s have already been imported' % koji.buildLabel(build_info)
+            raise koji.GenericError('wrapper rpms for %s have already been imported' % koji.buildLabel(build_info))
 
         _import_wrapper(task.id, build_info, rpm_results)
 
@@ -11769,7 +11769,7 @@ class HostExports(object):
         Create a new in-progress Windows build.
         """
         if not context.opts.get('EnableWin'):
-            raise koji.GenericError, 'Windows support not enabled'
+            raise koji.GenericError('Windows support not enabled')
         host = Host()
         host.verify()
         #sanity checks
@@ -11789,7 +11789,7 @@ class HostExports(object):
     def completeWinBuild(self, task_id, build_id, results, rpm_results):
         """Complete a Windows build"""
         if not context.opts.get('EnableWin'):
-            raise koji.GenericError, 'Windows support not enabled'
+            raise koji.GenericError('Windows support not enabled')
         host = Host()
         host.verify()
         task = Task(task_id)
@@ -11804,7 +11804,7 @@ class HostExports(object):
             archivetype = get_archive_type(relpath)
             if not archivetype:
                 # Unknown archive type, fail the build
-                raise koji.BuildError, 'unsupported file type: %s' % relpath
+                raise koji.BuildError('unsupported file type: %s' % relpath)
             filepath = os.path.join(task_dir, relpath)
             metadata['relpath'] = os.path.dirname(relpath)
             import_archive(filepath, build_info, 'win', metadata, buildroot_id=results['buildroot_id'])
@@ -11854,11 +11854,11 @@ class HostExports(object):
         result = _singleRow(query, locals(), ('state', 'completion_time'))
 
         if result['state'] != koji.BUILD_STATES['BUILDING']:
-            raise koji.GenericError, 'cannot update build %i, state: %s' % \
-                  (build_id, koji.BUILD_STATES[result['state']])
+            raise koji.GenericError('cannot update build %i, state: %s' % \
+                  (build_id, koji.BUILD_STATES[result['state']]))
         elif result['completion_time'] is not None:
-            raise koji.GenericError, 'cannot update build %i, completed at %s' % \
-                  (build_id, result['completion_time'])
+            raise koji.GenericError('cannot update build %i, completed at %s' % \
+                  (build_id, result['completion_time']))
 
         update = """UPDATE build
         SET state = %(st_failed)i,
@@ -11935,7 +11935,7 @@ class HostExports(object):
         host.verify()
         ruleset = context.policy.get(name)
         if not ruleset:
-            raise koji.GenericError, "no such policy: %s" % name
+            raise koji.GenericError("no such policy: %s" % name)
         return ruleset.apply(data)
 
     def newBuildRoot(self, repo, arch, task_id=None):
@@ -11991,7 +11991,7 @@ class HostExports(object):
     def updateMavenBuildRootList(self, brootid, task_id, mavenlist, ignore=None, project=False,
                                  ignore_unknown=False, extra_deps=None):
         if not context.opts.get('EnableMaven'):
-            raise koji.GenericError, "Maven support not enabled"
+            raise koji.GenericError("Maven support not enabled")
         host = Host()
         host.verify()
         Task(task_id).assertHost(host.id)
@@ -12115,8 +12115,8 @@ class HostExports(object):
                             logger.error("Build supplies %i archives: %r", len(build_archives), build_archives.keys())
                         if tag_archive:
                             logger.error("Size mismatch, br: %i, db: %i", fileinfo['size'], tag_archive['size'])
-                        raise koji.BuildrootError, 'Unknown file in build environment: %s, size: %s' % \
-                              ('%s/%s' % (fileinfo['path'], fileinfo['filename']), fileinfo['size'])
+                        raise koji.BuildrootError('Unknown file in build environment: %s, size: %s' % \
+                              ('%s/%s' % (fileinfo['path'], fileinfo['filename']), fileinfo['size']))
 
         return br.updateArchiveList(archives, project)
 
@@ -12133,12 +12133,12 @@ class HostExports(object):
         rinfo = repo_info(repo_id, strict=True)
         repodir = koji.pathinfo.repo(repo_id, rinfo['tag_name'])
         if rinfo['state'] != koji.REPO_INIT:
-            raise koji.GenericError, "Repo %(id)s not in INIT state (got %(state)s)" % rinfo
+            raise koji.GenericError("Repo %(id)s not in INIT state (got %(state)s)" % rinfo)
         #verify file exists
         uploadpath = koji.pathinfo.work()
         filepath = "%s/%s" % (uploadpath, path)
         if not os.path.exists(filepath):
-            raise koji.GenericError, "no such file: %s" % filepath
+            raise koji.GenericError("no such file: %s" % filepath)
         rpminfo = koji.get_header_fields(filepath, ('arch', 'sourcepackage'))
         dirs = []
         if not rpminfo['sourcepackage'] and rpminfo['arch'] != 'noarch':
@@ -12164,7 +12164,7 @@ class HostExports(object):
                 s_st = os.stat(filepath)
                 d_st = os.stat(dst)
                 if s_st.st_ino != d_st.st_ino:
-                    raise koji.GenericError, "File already in repo: %s" % dst
+                    raise koji.GenericError("File already in repo: %s" % dst)
                 #otherwise the desired hardlink already exists
             else:
                 safer_move(filepath, dst)
@@ -12183,20 +12183,20 @@ class HostExports(object):
         rinfo = repo_info(repo_id, strict=True)
         koji.plugin.run_callbacks('preRepoDone', repo=rinfo, data=data, expire=expire)
         if rinfo['state'] != koji.REPO_INIT:
-            raise koji.GenericError, "Repo %(id)s not in INIT state (got %(state)s)" % rinfo
+            raise koji.GenericError("Repo %(id)s not in INIT state (got %(state)s)" % rinfo)
         repodir = koji.pathinfo.repo(repo_id, rinfo['tag_name'])
         workdir = koji.pathinfo.work()
         for arch, (uploadpath, files) in data.iteritems():
             archdir = "%s/%s" % (repodir, arch)
             if not os.path.isdir(archdir):
-                raise koji.GenericError, "Repo arch directory missing: %s" % archdir
+                raise koji.GenericError("Repo arch directory missing: %s" % archdir)
             datadir = "%s/repodata" % archdir
             koji.ensuredir(datadir)
             for fn in files:
                 src = "%s/%s/%s" % (workdir, uploadpath, fn)
                 dst = "%s/%s" % (datadir, fn)
                 if not os.path.exists(src):
-                    raise koji.GenericError, "uploaded file missing: %s" % src
+                    raise koji.GenericError("uploaded file missing: %s" % src)
                 safer_move(src, dst)
         if expire:
             repo_expire(repo_id)
@@ -12229,19 +12229,19 @@ def get_upload_path(reldir, name, create=False):
     # lots of sanity checks
     d, name = os.path.split(name)
     if d or name.startswith('.'):
-        raise koji.GenericError, "Invalid upload filename: %s" % orig_name
+        raise koji.GenericError("Invalid upload filename: %s" % orig_name)
     reldir = os.path.normpath(reldir)
     if not reldir or reldir.startswith('..'):
-        raise koji.GenericError, "Invalid upload directory: %s" % orig_reldir
+        raise koji.GenericError("Invalid upload directory: %s" % orig_reldir)
     parts = reldir.split('/')
     check_user = True
     if create and parts[0] == "tasks":
         if len(parts) < 3:
-            raise koji.GenericError, "Invalid task upload directory: %s" % orig_reldir
+            raise koji.GenericError("Invalid task upload directory: %s" % orig_reldir)
         try:
             task_id = int(parts[2])
         except ValueError:
-            raise koji.GenericError, "Invalid task upload directory: %s" % orig_reldir
+            raise koji.GenericError("Invalid task upload directory: %s" % orig_reldir)
         # only the host running this task may write here
         host = Host()
         host.verify()
@@ -12256,7 +12256,7 @@ def get_upload_path(reldir, name, create=False):
             if os.path.exists(u_fn):
                 user_id = int(file(u_fn, 'r').read())
                 if context.session.user_id != user_id:
-                    raise koji.GenericError, "Invalid upload directory, not owner: %s" % orig_reldir
+                    raise koji.GenericError("Invalid upload directory, not owner: %s" % orig_reldir)
             else:
                 fo = file(u_fn, 'w')
                 fo.write(str(context.session.user_id))
@@ -12269,7 +12269,7 @@ def get_verify_class(verify):
     elif verify == 'adler32':
         return koji.util.adler32_constructor
     elif verify:
-        raise koji.GenericError, "Unsupported verify type: %s" % verify
+        raise koji.GenericError("Unsupported verify type: %s" % verify)
     else:
         return None
 
@@ -12279,7 +12279,7 @@ def handle_upload(environ):
     logger = logging.getLogger('koji.upload')
     start = time.time()
     if not context.session.logged_in:
-        raise koji.ActionNotAllowed, 'you must be logged-in to upload a file'
+        raise koji.ActionNotAllowed('you must be logged-in to upload a file')
     args = cgi.parse_qs(environ.get('QUERY_STRING', ''), strict_parsing=True)
     #XXX - already parsed by auth
     name = args['filename'][0]
@@ -12291,9 +12291,9 @@ def handle_upload(environ):
     fn = get_upload_path(path, name, create=True)
     if os.path.exists(fn):
         if not os.path.isfile(fn):
-            raise koji.GenericError, "destination not a file: %s" % fn
+            raise koji.GenericError("destination not a file: %s" % fn)
         if offset == 0 and not overwrite:
-            raise koji.GenericError, "upload path exists: %s" % fn
+            raise koji.GenericError("upload path exists: %s" % fn)
     sum_cls = get_verify_class(verify)
     size = 0
     chksum = sum_cls()
@@ -12303,7 +12303,7 @@ def handle_upload(environ):
         try:
             fcntl.lockf(fd, fcntl.LOCK_EX|fcntl.LOCK_NB)
         except IOError, e:
-            raise koji.LockError, e
+            raise koji.LockError(e)
         if offset == -1:
             offset = os.lseek(fd, 0, 2)
         else:
diff --git a/hub/kojixmlrpc.py b/hub/kojixmlrpc.py
index 47c1284..634e8e0 100644
--- a/hub/kojixmlrpc.py
+++ b/hub/kojixmlrpc.py
@@ -178,7 +178,7 @@ class HandlerRegistry(object):
     def get(self, name):
         func = self.funcs.get(name, None)
         if func is None:
-            raise koji.GenericError, "Invalid method: %s" % name
+            raise koji.GenericError("Invalid method: %s" % name)
         return func
 
 
@@ -221,7 +221,7 @@ class ModXMLRPCRequestHandler(object):
                 break
             rlen += len(chunk)
             if maxlen and rlen > maxlen:
-                raise koji.GenericError, 'Request too long'
+                raise koji.GenericError('Request too long')
             parser.feed(chunk)
         parser.close()
         return unmarshaller.close(), unmarshaller.getmethodname()
@@ -292,7 +292,7 @@ class ModXMLRPCRequestHandler(object):
         if context.opts.get('LockOut') and \
             context.method not in ('login', 'krbLogin', 'sslLogin', 'logout') and \
             not context.session.hasPerm('admin'):
-            raise koji.ServerOffline, "Server disabled for maintenance"
+            raise koji.ServerOffline("Server disabled for maintenance")
 
     def _dispatch(self, method, params):
         func = self._get_handler(method)
@@ -639,7 +639,7 @@ def setup_logging2(opts):
             level = part
             default = level
         if level not in valid_levels:
-            raise koji.GenericError, "Invalid log level: %s" % level
+            raise koji.GenericError("Invalid log level: %s" % level)
         #all our loggers start with koji
         if name == '':
             name = 'koji'
diff --git a/koji/__init__.py b/koji/__init__.py
index d33415b..8a9bafa 100644
--- a/koji/__init__.py
+++ b/koji/__init__.py
@@ -443,7 +443,7 @@ def decode_args2(args, names, strict=True):
     "An alternate form of decode_args, returns a dictionary"
     args, opts = decode_args(*args)
     if strict and len(names) < len(args):
-        raise TypeError, "Expecting at most %i arguments" % len(names)
+        raise TypeError("Expecting at most %i arguments" % len(names))
     ret = dict(zip(names, args))
     ret.update(opts)
     return ret
@@ -480,13 +480,13 @@ def ensuredir(directory):
     """Create directory, if necessary."""
     if os.path.exists(directory):
         if not os.path.isdir(directory):
-            raise OSError, "Not a directory: %s" % directory
+            raise OSError("Not a directory: %s" % directory)
     else:
         head, tail = os.path.split(directory)
         if not tail and head == directory:
             # can only happen if directory == '/' or equivalent
             # (which obviously should not happen)
-            raise OSError, "root directory missing? %s" % directory
+            raise OSError("root directory missing? %s" % directory)
         if head:
             ensuredir(head)
         # note: if head is blank, then we've reached the top of a relative path
@@ -555,7 +555,7 @@ def rpm_hdr_size(f, ofs=None):
         fo.seek(ofs, 0)
     magic = fo.read(3)
     if magic != RPM_HEADER_MAGIC:
-        raise GenericError, "Invalid rpm: bad magic: %r" % magic
+        raise GenericError("Invalid rpm: bad magic: %r" % magic)
 
     # skip past section magic and such
     #   (3 bytes magic, 1 byte version number, 4 bytes reserved)
@@ -588,7 +588,7 @@ class RawHeader(object):
 
     def __init__(self, data):
         if data[0:3] != RPM_HEADER_MAGIC:
-            raise GenericError, "Invalid rpm header: bad magic: %r" % (data[0:3],)
+            raise GenericError("Invalid rpm header: bad magic: %r" % (data[0:3],))
         self.header = data
         self._index()
 
@@ -726,7 +726,7 @@ class RawHeader(object):
             return self.header[pos:pos+count]
         else:
             #XXX - not all valid data types are handled
-            raise GenericError, "Unable to read header data type: %x" % dtype
+            raise GenericError("Unable to read header data type: %x" % dtype)
 
     def get(self, key, default=None):
         entry = self.index.get(key)
@@ -760,7 +760,7 @@ def __parse_packet_header(pgp_packet):
     """Parse pgp_packet header, return tag type and the rest of pgp_packet"""
     byte0 = ord(pgp_packet[0])
     if (byte0 & 0x80) == 0:
-        raise ValueError, 'Not an OpenPGP packet'
+        raise ValueError('Not an OpenPGP packet')
     if (byte0 & 0x40) == 0:
         tag = (byte0 & 0x3C) >> 2
         len_type = byte0 & 0x03
@@ -784,10 +784,10 @@ def __parse_packet_header(pgp_packet):
             offset = 6
         else:
             # Who the ... would use partial body lengths in a signature packet?
-            raise NotImplementedError, \
-                'OpenPGP packet with partial body lengths'
+            raise NotImplementedError(
+                'OpenPGP packet with partial body lengths')
     if len(pgp_packet) != offset + length:
-        raise ValueError, 'Invalid OpenPGP packet length'
+        raise ValueError('Invalid OpenPGP packet length')
     return (tag, pgp_packet[offset:])
 
 def __subpacket_key_ids(subs):
@@ -813,7 +813,7 @@ def get_sigpacket_key_id(sigpacket):
     """Return ID of the key used to create sigpacket as a hexadecimal string"""
     (tag, sigpacket) = __parse_packet_header(sigpacket)
     if tag != 2:
-        raise ValueError, 'Not a signature packet'
+        raise ValueError('Not a signature packet')
     if ord(sigpacket[0]) == 0x03:
         key_id = sigpacket[11:15]
     elif ord(sigpacket[0]) == 0x04:
@@ -824,12 +824,12 @@ def get_sigpacket_key_id(sigpacket):
         off += 2
         key_ids += __subpacket_key_ids(sigpacket[off : off+sub_len])
         if len(key_ids) != 1:
-            raise NotImplementedError, \
-                'Unexpected number of key IDs: %s' % len(key_ids)
+            raise NotImplementedError(
+                'Unexpected number of key IDs: %s' % len(key_ids))
         key_id = key_ids[0][-4:]
     else:
-        raise NotImplementedError, \
-            'Unknown PGP signature packet version %s' % ord(sigpacket[0])
+        raise NotImplementedError(
+            'Unknown PGP signature packet version %s' % ord(sigpacket[0]))
     return hex_string(key_id)
 
 def get_sighdr_key(sighdr):
@@ -886,7 +886,7 @@ def get_header_field(hdr, name):
         return []
     idx = getattr(rpm, "RPMTAG_%s" % name.upper(), None)
     if idx is None:
-        raise GenericError, "No such rpm header field: %s" % name
+        raise GenericError("No such rpm header field: %s" % name)
     return hdr[idx]
 
 def get_header_fields(X, fields):
@@ -1091,7 +1091,7 @@ def parse_pom(path=None, contents=None):
         fd.close()
 
     if not contents:
-        raise GenericError, 'either a path to a pom file or the contents of a pom file must be specified'
+        raise GenericError('either a path to a pom file or the contents of a pom file must be specified')
 
     # A common problem is non-UTF8 characters in XML files, so we'll convert the string first
 
@@ -1108,7 +1108,7 @@ def parse_pom(path=None, contents=None):
 
     for field in fields:
         if field not in values.keys():
-            raise GenericError, 'could not extract %s from POM: %s' % (field, (path or '<contents>'))
+            raise GenericError('could not extract %s from POM: %s' % (field, (path or '<contents>')))
     return values
 
 def pom_to_maven_info(pominfo):
@@ -1358,7 +1358,7 @@ def genMockConfig(name, arch, managed=False, repoid=None, tag_name=None, **opts)
         urls = [opts['url']]
     else:
         if not (repoid and tag_name):
-            raise GenericError, "please provide a repo and tag"
+            raise GenericError("please provide a repo and tag")
         topurls = opts.get('topurls')
         if not topurls:
             #cli command still passes plain topurl
@@ -1544,7 +1544,7 @@ def openRemoteFile(relpath, topurl=None, topdir=None, tempdir=None):
         fn = "%s/%s" % (topdir, relpath)
         fo = open(fn)
     else:
-        raise GenericError, "No access method for remote file: %s" % relpath
+        raise GenericError("No access method for remote file: %s" % relpath)
     return fo
 
 
@@ -2072,7 +2072,7 @@ class ClientSession(object):
                 ccache.init(cprinc)
                 ccache.init_creds_keytab(principal=cprinc, keytab=keytab)
             else:
-                raise AuthError, 'cannot specify a principal without a keytab'
+                raise AuthError('cannot specify a principal without a keytab')
         else:
             # We're trying to log ourself in.  Connect using existing credentials.
             cprinc = ccache.principal()
@@ -2162,7 +2162,7 @@ class ClientSession(object):
         finally:
             self.opts = old_opts
         if not sinfo:
-            raise AuthError, 'unable to obtain a session'
+            raise AuthError('unable to obtain a session')
 
         self.setSession(sinfo)
 
@@ -2200,7 +2200,7 @@ class ClientSession(object):
         finally:
             self.opts = old_opts
         if not sinfo:
-            raise AuthError, 'unable to obtain a session'
+            raise AuthError('unable to obtain a session')
 
         self.opts['cert'] = cert
         self.opts['serverca'] = serverca
@@ -2427,7 +2427,7 @@ class ClientSession(object):
         method call, or a map containing "faultCode" and "faultString" keys, describing the
         error that occurred during the method call."""
         if not self.multicall:
-            raise GenericError, 'ClientSession.multicall must be set to True before calling multiCall()'
+            raise GenericError('ClientSession.multicall must be set to True before calling multiCall()')
         self.multicall = False
         if len(self._calls) == 0:
             return []
@@ -2446,7 +2446,7 @@ class ClientSession(object):
 
     def __getattr__(self, name):
         #if name[:1] == '_':
-        #    raise AttributeError, "no attribute %r" % name
+        #    raise AttributeError("no attribute %r" % name)
         return VirtualMethod(self._callMethod, name)
 
     def fastUpload(self, localfile, path, name=None, callback=None, blocksize=None, overwrite=False):
@@ -2454,7 +2454,7 @@ class ClientSession(object):
             blocksize = self.opts.get('upload_blocksize', 1048576)
 
         if not self.logged_in:
-            raise ActionNotAllowed, 'You must be logged in to upload files'
+            raise ActionNotAllowed('You must be logged in to upload files')
         if name is None:
             name = os.path.basename(localfile)
         self.logger.debug("Fast upload: %s to %s/%s", localfile, path, name)
@@ -2478,10 +2478,10 @@ class ClientSession(object):
             hexdigest = util.adler32_constructor(chunk).hexdigest()
             full_chksum.update(chunk)
             if result['size'] != len(chunk):
-                raise GenericError, "server returned wrong chunk size: %s != %s" % (result['size'], len(chunk))
+                raise GenericError("server returned wrong chunk size: %s != %s" % (result['size'], len(chunk)))
             if result['hexdigest'] != hexdigest:
-                raise GenericError, 'upload checksum failed: %s != %s' \
-                        % (result['hexdigest'], hexdigest)
+                raise GenericError('upload checksum failed: %s != %s' \
+                        % (result['hexdigest'], hexdigest))
             ofs += len(chunk)
             now = time.time()
             t1 = max(now - lap, 0.00001)
@@ -2496,17 +2496,17 @@ class ClientSession(object):
             chk_opts['verify'] = 'adler32'
         result = self._callMethod('checkUpload', (path, name), chk_opts)
         if int(result['size']) != ofs:
-            raise GenericError, "Uploaded file is wrong length: %s/%s, %s != %s" \
-                    % (path, name, result['size'], ofs)
+            raise GenericError("Uploaded file is wrong length: %s/%s, %s != %s" \
+                    % (path, name, result['size'], ofs))
         if problems and result['hexdigest'] != full_chksum.hexdigest():
-            raise GenericError, "Uploaded file has wrong checksum: %s/%s, %s != %s" \
-                    % (path, name, result['hexdigest'], full_chksum.hexdigest())
+            raise GenericError("Uploaded file has wrong checksum: %s/%s, %s != %s" \
+                    % (path, name, result['hexdigest'], full_chksum.hexdigest()))
         self.logger.debug("Fast upload: %s complete. %i bytes in %.1f seconds", localfile, size, t2)
 
     def _prepUpload(self, chunk, offset, path, name, verify="adler32", overwrite=False):
         """prep a rawUpload call"""
         if not self.logged_in:
-            raise ActionNotAllowed, "you must be logged in to upload"
+            raise ActionNotAllowed("you must be logged in to upload")
         args = self.sinfo.copy()
         args['callnum'] = self.callnum
         args['filename'] = name
@@ -2584,7 +2584,7 @@ class ClientSession(object):
                     tries += 1
                     continue
                 else:
-                    raise GenericError, "Error uploading file %s, offset %d" %(path, offset)
+                    raise GenericError("Error uploading file %s, offset %d" %(path, offset))
             if size == 0:
                 break
             ofs += size
@@ -2610,7 +2610,7 @@ class ClientSession(object):
         Note: This method does not work with multicall.
         """
         if self.multicall:
-            raise GenericError, 'downloadTaskOutput() may not be called during a multicall'
+            raise GenericError('downloadTaskOutput() may not be called during a multicall')
         result = self.callMethod('downloadTaskOutput', taskID, fileName, offset, size)
         return base64.decodestring(result)
 
